## WebKitDOMHTMLCanvasElement

WebKitDOMHTMLCanvasElement

## Functions

glong | webkit_dom_html_canvas_element_get_width ()
void | webkit_dom_html_canvas_element_set_width ()
glong | webkit_dom_html_canvas_element_get_height ()
void | webkit_dom_html_canvas_element_set_height ()

## Properties

glong | height | Read / Write
glong | width | Read / Write

## Types and Values

| WebKitDOMHTMLCanvasElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLCanvasElement

## Implemented Interfaces

WebKitDOMHTMLCanvasElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_canvas_element_get_width ()

    glong
    webkit_dom_html_canvas_element_get_width
                                   (WebKitDOMHTMLCanvasElement *self);

#### Parameters

self | A WebKitDOMHTMLCanvasElement |

#### Returns

A glong

### webkit_dom_html_canvas_element_set_width ()

    void
    webkit_dom_html_canvas_element_set_width
                                   (WebKitDOMHTMLCanvasElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLCanvasElement |
value | A glong |

### webkit_dom_html_canvas_element_get_height ()

    glong
    webkit_dom_html_canvas_element_get_height
                                   (WebKitDOMHTMLCanvasElement *self);

#### Parameters

self | A WebKitDOMHTMLCanvasElement |

#### Returns

A glong

### webkit_dom_html_canvas_element_set_height ()

    void
    webkit_dom_html_canvas_element_set_height
                                   (WebKitDOMHTMLCanvasElement *self,
                                    glong value);

#### Parameters

self | A WebKitDOMHTMLCanvasElement |
value | A glong |

## Types and Values

### WebKitDOMHTMLCanvasElement

    typedef struct _WebKitDOMHTMLCanvasElement WebKitDOMHTMLCanvasElement;

## Property Details

### The `“height”` property

      “height”                   glong

read-write glong HTMLCanvasElement:height.

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    glong

read-write glong HTMLCanvasElement:width.

Flags: Read / Write

Default value: 0